Bug 224549 - Error with cdrom after update kernel-2.6.19-1.2895.fc6
Error with cdrom after update kernel-2.6.19-1.2895.fc6
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2007-01-26 05:49 EST by pmarion
Modified: 2008-02-07 23:24 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 23:24:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description pmarion 2007-01-26 05:49:49 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.8.1.1) Gecko/20061208 Firefox/2.0.0.1

Description of problem:
MotherBoard MSI P965 with JMicron chipset

During boot two error messages about JMicron
JMB361 dma_base is invalid.
The boot goes on and all seems OK.

But after several minutes we have got a window alert about a cdrom error.
The system have a problem with the cdrom even if it is empty.
We get on console and in /var/log/messages a lot of messages :

hde: cdrom_pc_intr: The drive appears confused (ireason = 0x01). Trying to recover by ending request.
hde: status error: status=0x58 { DriveReady SeekComplete DataRequest }
ide: failed opcode was: unknown
hde: status error: status=0x58 { DriveReady SeekComplete DataRequest }

The cdrom is not available after the beginning of this error even if it was avalable at the beginning of the session.

Version-Release number of selected component (if applicable):
kernel-2.6.19-1.2895.fc6

How reproducible:
Always


Steps to Reproduce:
1.Boot the system
2.Opening a session
3.Use the cdrom
4 Wait several minutes
5 We got error messages about cdrom and the cdrom is not avalaible

Actual Results:


Expected Results:


Additional info:
Before the kernel update I was in kernel-2.6.18-1.2869.fc6 and I had no messages about JMB361 and i could use cdrom during all the session without error.
Comment 1 pmarion 2007-01-26 08:19:58 EST
I have tried to change my cdrom drive, but i get always a windows error et same
console messages
Comment 2 James 2007-02-20 08:26:43 EST
I've just had this on kernel 2.6.19-1.2911 after trying to rip an audio CD:

Feb 20 13:07:58 harmony kernel: hdc: DMA timeout retry
Feb 20 13:07:58 harmony kernel: hdc: timeout waiting for DMA
Feb 20 13:07:58 harmony kernel: hdc: status error: status=0x58 { DriveReady
SeekComplete DataRequest }
Feb 20 13:07:58 harmony kernel: ide: failed opcode was: unknown
Feb 20 13:07:58 harmony kernel: hdc: drive not ready for command
Feb 20 13:07:58 harmony kernel: hdc: status error: status=0x58 { DriveReady
SeekComplete DataRequest }
Feb 20 13:07:58 harmony kernel: ide: failed opcode was: unknown
Feb 20 13:07:58 harmony kernel: hdc: drive not ready for command
Feb 20 13:07:58 harmony kernel: hdc: status error: status=0x58 { DriveReady
SeekComplete DataRequest }
Feb 20 13:07:58 harmony kernel: ide: failed opcode was: unknown
Feb 20 13:07:58 harmony kernel: hdc: drive not ready for command

repeated over and over. It would seem that ide-cd has trouble gracefully
recovering from error conditions. It wouldn't recognise the drive after that,
neither would cdparanoia nor cdrecord.
Comment 3 Jon Stanley 2008-01-07 20:52:03 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 4 Jon Stanley 2008-02-07 23:24:48 EST
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!

Note You need to log in before you can comment on or make changes to this bug.